Retrieve Registered Webhooks
Webhooks are HTTP callbacks that notify your application when events happen in SQUAKE's system.
Instead of continuously polling our API, webhooks push data to your endpoint when events occur.
This endpoint returns the list of currently registered webhooks. See the Integration Documentation for more information.
Bearer-AuthAuthorizationBearer <token>OK
application/json- response
[index: integer]?Squake application generates events on certain actions. To be notified about these actions client can create a webhook. For now you can create one webhook per one kind of events.
On the first creation of webhook, you would receive signing_key.
You should save these signing key securely as we're using it to sign our webhooks, so later you can check the authentity of the received event.
To sign the webhook payload, we're creating HMAC signature of the payload using SHA256.
curl -X GET 'https://api.sandbox.squake.earth/v2/webhooks'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_failed_at": "2024-08-22T14:10:18Z", "last_sent_at": "2024-08-24T14:15:22Z", "failed_attempts": 0, "kind": "order", "endpoint_url": "http://example.com", "signing_key": "TAWHPBAVckH8KmxRtlRX/rQ/mona5vUem7QFtozGHxM=" }]Retrieve Webhook Information
This endpoint allows you to retrieve an information about a specific Webhook
Register New Webhook
This endpoint allows you to register a new Webhook to subscribe to certain kind of events being triggered by Squake <br><br> **Important:** This endpoint returns a newly created webhook upon a successful request. <br> The webhook includes a `signing_key` used to verify the authenticity of future webhook messages. Please ensure you save this `signing_key`, as it cannot be retrieved later.